Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513943 - mysql fails installation missing libnuma
Summary: mysql fails installation missing libnuma
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-modular-release
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks: ModularServer27GA
TreeView+ depends on / blocked
 
Reported: 2017-11-16 10:34 UTC by Irina Gulina
Modified: 2017-11-22 14:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 14:36:42 UTC


Attachments (Terms of Use)
dnf module install mysql (deleted)
2017-11-21 15:08 UTC, Irina Gulina
no flags Details

Description Irina Gulina 2017-11-16 10:34:12 UTC
Description of problem:

>> sudo docker run bikeshed bash -l -c "dnf module install mysql -y; dnf module list mysql"

------------------------------- DNF ----------------------------------
Installed Packages
dnf.noarch          2.7.3-1.module_bf3f917d.modularity.5.4edc03e       @anaconda
libdnf.x86_64       0.11.1-1.module_c8380439                           @anaconda
----------------------------------------------------------------------
Image built with (KOJI composes):
		GIT:      	https://github.com/container-images/boltron-27
		Base:     	Fedora-Modular-27-20171115.n.1
Image running aginst (KOJI Composes):
		Base:     	Fedora-Modular-27-20171115.n.1
 ** NOTE: coreutils-single is installed, this will make things fail.
 **       you can fix it by: dnf --allowerasing install coreutils
 **       at which point @freeipa will install.
Fedora Modular Server 27 - x86_64 - Test Update  38 kB/s |  20 kB     00:00    
Fedora Modular Server 27 - x86_64 - Updates      53 kB/s |  20 kB     00:00    
Fedora Modular Server 27 - x86_64               8.0 MB/s | 4.5 MB     00:00    
Last metadata expiration check: 0:00:00 ago on Thu 16 Nov 2017 10:29:27 AM UTC.
Error: 
 Problem: conflicting requests
  - nothing provides libnuma.so.1()(64bit) needed by community-mysql-server-5.7.19-6.module_bd440b63.x86_64

Name         Stream            Version               Profiles                   
mysql        master [d]        20170904221942        client, default, ...       

Hint: [d]efault, [e]nabled, [i]nstalled, [l]ocked



Additional info:
This issues was reported in [1] https://github.com/modularity-modules/mysql/issues/1

Comment 1 Stephen Gallagher 2017-11-17 16:22:35 UTC
This should definitely block the release. Assigning to Karsten.

Comment 2 Karsten Hopp 2017-11-17 22:05:40 UTC
numctl got added to the hardware-support module.
a new mysql module with a dependency on hardware support has already finished to build

Comment 3 Karsten Hopp 2017-11-17 22:06:20 UTC
hardware-support-f27-20171117165913
mysql-5.7-20171117171055

Comment 4 Stephen Gallagher 2017-11-20 21:36:52 UTC
This is still failing in the most recent compose, but it looks like it may be a compose bug (the compose didn't pick up the most recent modules as expected).

Investigation ongoing.

Comment 5 Stephen Gallagher 2017-11-20 21:53:56 UTC
False alarm; this was just a case of DNF looking at a mirror that hadn't yet been updated with the content from the latest compose. Looks to be working properly as of Fedora-Modular-27-20171120.n.3.

Comment 6 Irina Gulina 2017-11-21 15:08:41 UTC
Created attachment 1356775 [details]
dnf module install mysql

Comment 7 Irina Gulina 2017-11-21 15:09:46 UTC
mysql installs fine in Fedora-Modular-27-20171121.n.0. See attachment.


Note You need to log in before you can comment on or make changes to this bug.